Installing both 0.9 and 1.0 TypeScript compilers

Topics: General
Jul 21, 2014 at 10:11 PM
I installed the Visual Studio Update 2 this morning, which installed the latest version of the TypeScript compiler. It also, without asking, uninstalled the previous version of the TypeScript compiler (0.9). This means that I am completely unable to compile my code where the projects are referencing the 0.9 version of the compiler. I can update my projects to point to 1.0, but if I checkout an older version of my code, I can't compile it.

Although the Visual Studio Update was rude and uninstalled an essential part of my build without asking, I figured that I would be able to re-install that version of the compiler to get it working again. But I can't find any way to download any version of the TypeScript compiler prior to 1.0. They all seem to have disappeared from the Microsoft Downloads site.

Is there really no way for me to build using the 0.9 compiler now that I have installed Visual Studio Update 2?